<?php

$view = new view;
$view->name = 'mention';
$view->description = 'Mentions';
$view->tag = '';
$view->view_php = '';
$view->base_table = 'node';
$view->is_cacheable = FALSE;
$view->api_version = 2;
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
$handler = $view->new_display('default', 'Defaults', 'default');
$handler->override_option('relationships', array(
  'field_source_nid' => array(
    'label' => 'Source',
    'required' => 1,
    'delta' => -1,
    'id' => 'field_source_nid',
    'table' => 'node_data_field_source',
    'field' => 'field_source_nid',
    'relationship' => 'none',
  ),
  'votingapi_cache' => array(
    'label' => 'Voting results',
    'required' => 0,
    'votingapi' => array(
      'value_type' => 'points',
      'tag' => 'vote',
      'function' => 'sum',
    ),
    'id' => 'votingapi_cache',
    'table' => 'node',
    'field' => 'votingapi_cache',
    'relationship' => 'none',
  ),
  'flag_content_rel' => array(
    'label' => 'Blacklisted',
    'required' => 0,
    'flag' => 'blacklist',
    'user_scope' => 'any',
    'id' => 'flag_content_rel',
    'table' => 'node',
    'field' => 'flag_content_rel',
    'override' => array(
      'button' => 'Override',
    ),
    'relationship' => 'field_source_nid',
  ),
  'flag_content_rel_1' => array(
    'label' => 'Watchlist',
    'required' => 0,
    'flag' => 'watchlist',
    'user_scope' => 'any',
    'id' => 'flag_content_rel_1',
    'table' => 'node',
    'field' => 'flag_content_rel',
    'override' => array(
      'button' => 'Override',
    ),
    'relationship' => 'field_source_nid',
  ),
  'flag_content_rel_2' => array(
    'label' => 'Boookmark',
    'required' => 0,
    'flag' => 'bookmark',
    'user_scope' => 'any',
    'id' => 'flag_content_rel_2',
    'table' => 'node',
    'field' => 'flag_content_rel',
    'override' => array(
      'button' => 'Override',
    ),
    'relationship' => 'none',
  ),
));
$handler->override_option('fields', array(
  'title' => array(
    'label' => 'Title',
    'link_to_node' => 0,
    'exclude' => 0,
    'id' => 'title',
    'table' => 'node',
    'field' => 'title',
    'override' => array(
      'button' => 'Override',
    ),
    'relationship' => 'none',
  ),
  'teaser' => array(
    'label' => 'Teaser',
    'exclude' => 0,
    'id' => 'teaser',
    'table' => 'node_revisions',
    'field' => 'teaser',
    'relationship' => 'none',
  ),
  'body' => array(
    'label' => 'Body',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
    ),
    'exclude' => 0,
    'id' => 'body',
    'table' => 'node_revisions',
    'field' => 'body',
    'relationship' => 'none',
  ),
  'field_images_m_value' => array(
    'label' => 'Images URLs',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
    ),
    'link_to_node' => 0,
    'label_type' => 'widget',
    'format' => 'default',
    'multiple' => array(
      'group' => 1,
      'multiple_number' => '1',
      'multiple_from' => '1',
      'multiple_reversed' => 0,
    ),
    'exclude' => 0,
    'id' => 'field_images_m_value',
    'table' => 'node_data_field_images_m',
    'field' => 'field_images_m_value',
    'relationship' => 'none',
    'override' => array(
      'button' => 'Use default',
    ),
  ),
  'title_1' => array(
    'label' => 'Source Title',
    'link_to_node' => 0,
    'exclude' => 0,
    'id' => 'title_1',
    'table' => 'node',
    'field' => 'title',
    'relationship' => 'field_source_nid',
  ),
  'field_url_value' => array(
    'label' => 'Source URL',
    'link_to_node' => 0,
    'label_type' => 'custom',
    'format' => 'default',
    'multiple' => array(
      'group' => TRUE,
      'multiple_number' => '',
      'multiple_from' => '',
      'multiple_reversed' => FALSE,
    ),
    'exclude' => 0,
    'id' => 'field_url_value',
    'table' => 'node_data_field_url',
    'field' => 'field_url_value',
    'relationship' => 'field_source_nid',
  ),
  'field_combined_rank_value' => array(
    'label' => 'Source Rank',
    'link_to_node' => 0,
    'label_type' => 'custom',
    'format' => 'unformatted',
    'multiple' => array(
      'group' => TRUE,
      'multiple_number' => '',
      'multiple_from' => '',
      'multiple_reversed' => FALSE,
    ),
    'exclude' => 0,
    'id' => 'field_combined_rank_value',
    'table' => 'node_data_field_combined_rank',
    'field' => 'field_combined_rank_value',
    'relationship' => 'field_source_nid',
  ),
  'field_alexa_data_url_value' => array(
    'label' => 'Alexa Data URL',
    'link_to_node' => 0,
    'label_type' => 'widget',
    'format' => 'default',
    'multiple' => array(
      'group' => TRUE,
      'multiple_number' => '',
      'multiple_from' => '',
      'multiple_reversed' => FALSE,
    ),
    'exclude' => 0,
    'id' => 'field_alexa_data_url_value',
    'table' => 'node_data_field_alexa_data_url',
    'field' => 'field_alexa_data_url_value',
    'relationship' => 'field_source_nid',
  ),
  'nid' => array(
    'label' => 'Nid',
    'link_to_node' => 0,
    'exclude' => 0,
    'id' => 'nid',
    'table' => 'node',
    'field' => 'nid',
    'relationship' => 'field_source_nid',
  ),
  'field_favicon_url_value' => array(
    'label' => 'FavIcon URL',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
    ),
    'link_to_node' => 0,
    'label_type' => 'widget',
    'format' => 'default',
    'multiple' => array(
      'group' => TRUE,
      'multiple_number' => '',
      'multiple_from' => '',
      'multiple_reversed' => FALSE,
    ),
    'exclude' => 0,
    'id' => 'field_favicon_url_value',
    'table' => 'node_data_field_favicon_url',
    'field' => 'field_favicon_url_value',
    'override' => array(
      'button' => 'Override',
    ),
    'relationship' => 'field_source_nid',
  ),
  'url' => array(
    'label' => 'Original URL',
    'display_as_link' => 1,
    'exclude' => 0,
    'id' => 'url',
    'table' => 'feedapi_node_item',
    'field' => 'url',
    'relationship' => 'none',
  ),
  'timestamp' => array(
    'label' => 'Date',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
    ),
    'date_format' => 'time ago',
    'custom_date_format' => '',
    'exclude' => 0,
    'id' => 'timestamp',
    'table' => 'feedapi_node_item',
    'field' => 'timestamp',
    'relationship' => 'none',
  ),
  'value' => array(
    'label' => 'Value',
    'set_precision' => FALSE,
    'precision' => 0,
    'decimal' => '.',
    'separator' => ',',
    'prefix' => '',
    'suffix' => '',
    'appearance' => NULL,
    'exclude' => 0,
    'id' => 'value',
    'table' => 'votingapi_cache',
    'field' => 'value',
    'relationship' => 'votingapi_cache',
  ),
  'created' => array(
    'label' => 'Post date',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
    ),
    'date_format' => 'small',
    'custom_date_format' => '',
    'exclude' => 0,
    'id' => 'created',
    'table' => 'node',
    'field' => 'created',
    'relationship' => 'none',
  ),
  'field_technorati_authority_value' => array(
    'label' => 'Technorati Authority',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
    ),
    'link_to_node' => 0,
    'label_type' => 'widget',
    'format' => 'default',
    'multiple' => array(
      'group' => TRUE,
      'multiple_number' => '',
      'multiple_from' => '',
      'multiple_reversed' => FALSE,
    ),
    'exclude' => 0,
    'id' => 'field_technorati_authority_value',
    'table' => 'node_data_field_technorati_authority',
    'field' => 'field_technorati_authority_value',
    'override' => array(
      'button' => 'Use default',
    ),
    'relationship' => 'field_source_nid',
  ),
  'tid' => array(
    'label' => 'All terms',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
    ),
    'type' => 'separator',
    'separator' => ', ',
    'empty' => 'No Terms',
    'link_to_taxonomy' => 1,
    'limit' => 0,
    'vids' => array(
      '3' => 0,
      '1' => 0,
      '2' => 0,
      '42' => 0,
      '4' => 0,
      '5' => 0,
      '6' => 0,
      '7' => 0,
      '8' => 0,
      '9' => 0,
      '10' => 0,
      '43' => 0,
      '11' => 0,
      '12' => 0,
      '13' => 0,
      '14' => 0,
      '15' => 0,
      '16' => 0,
      '17' => 0,
      '18' => 0,
      '19' => 0,
      '20' => 0,
      '21' => 0,
      '22' => 0,
      '23' => 0,
      '24' => 0,
      '25' => 0,
      '26' => 0,
      '27' => 0,
      '28' => 0,
      '29' => 0,
      '30' => 0,
      '31' => 0,
      '32' => 0,
      '33' => 0,
      '34' => 0,
      '35' => 0,
      '36' => 0,
      '37' => 0,
      '38' => 0,
      '39' => 0,
      '40' => 0,
      '41' => 0,
    ),
    'exclude' => 0,
    'id' => 'tid',
    'table' => 'term_node',
    'field' => 'tid',
    'override' => array(
      'button' => 'Use default',
    ),
    'relationship' => 'none',
  ),
));
$handler->override_option('sorts', array(
  'created_1' => array(
    'order' => 'DESC',
    'granularity' => 'second',
    'id' => 'created_1',
    'table' => 'node',
    'field' => 'created',
    'relationship' => 'none',
  ),
  'field_combined_rank_value' => array(
    'order' => 'DESC',
    'delta' => -1,
    'id' => 'field_combined_rank_value',
    'table' => 'node_data_field_combined_rank',
    'field' => 'field_combined_rank_value',
    'relationship' => 'field_source_nid',
  ),
  'created' => array(
    'order' => 'DESC',
    'granularity' => 'day',
    'id' => 'created',
    'table' => 'node',
    'field' => 'created',
    'relationship' => 'none',
  ),
));
$handler->override_option('filters', array(
  'type' => array(
    'operator' => 'in',
    'value' => array(
      'mention' => 'mention',
    ),
    'group' => '0',
    'exposed' => FALSE,
    'expose' => array(
      'operator' => FALSE,
      'label' => '',
    ),
    'id' => 'type',
    'table' => 'node',
    'field' => 'type',
    'relationship' => 'none',
  ),
  'status' => array(
    'operator' => '=',
    'value' => '1',
    'group' => '0',
    'exposed' => FALSE,
    'expose' => array(
      'operator' => FALSE,
      'label' => '',
    ),
    'id' => 'status',
    'table' => 'node',
    'field' => 'status',
    'relationship' => 'none',
  ),
  'flagged' => array(
    'operator' => '=',
    'value' => '0',
    'group' => '0',
    'exposed' => FALSE,
    'expose' => array(
      'operator' => FALSE,
      'label' => '',
    ),
    'id' => 'flagged',
    'table' => 'flag_content',
    'field' => 'flagged',
    'relationship' => 'flag_content_rel',
    'override' => array(
      'button' => 'Use default',
    ),
  ),
));
$handler->override_option('access', array(
  'type' => 'role',
  'role' => array(
    '2' => 2,
  ),
));
$handler->override_option('cache', array(
  'type' => 'none',
));
$handler->override_option('items_per_page', 40);
$handler->override_option('use_pager', '1');
$handler->override_option('style_plugin', 'list');
$handler->override_option('style_options', array(
  'type' => 'ol',
));

$handler = $view->new_display('block', 'Home Page Mentions', 'block_1');
$handler->override_option('empty', '<h3>No Mentions Found</h3>
<p>No mentions found that satisfy your criteria.</p>
<p>Possible reasons may be:
<ul>
<li>You may need to broaden filter criteria.
<li>Cron jobs may be unavailable. Make sure cron is running, allowing new mentions to be fetched.
<li>If you have not created any Topics yet, please visit the <a href="node/add/topic">Topic creation page.</a>
</ul>
</p>
');
$handler->override_option('empty_format', '2');
$handler->override_option('block_description', '');
$handler->override_option('block_caching', -1);

$handler = $view->new_display('page', 'Mentions Feeds', 'page_1');
$handler->override_option('path', 'rss/mentions');
$handler->override_option('menu', array(
  'type' => 'none',
  'title' => '',
  'description' => '',
  'weight' => 0,
  'name' => 'navigation',
));
$handler->override_option('tab_options', array(
  'type' => 'none',
  'title' => '',
  'description' => '',
  'weight' => 0,
));
